Returns all documents.

GEThttps://api.awork.com/api/v1/documents
GET https://api.awork.com/api/v1/documents

Returns documents visible to the current user. Set includeTrashedDocuments to include documents in the trash.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Query parameters

includeTrashedDocumentsbooleanOptional
Default: false

Whether to include trashed documents in the result.

pageintegerOptional
Default: 1

Page number for pagination

pageSizeintegerOptional
Default: 10

Number of items per page

orderbystringOptional

The properties to order by

filterbystringOptional

The filter expression to filter by

Responses

200 OK

application/json

idstringOptional
format: uuid

The id of the entity.

createdOnstringOptional
format: date-time

The date this entity was created.

createdBystringOptional
format: uuid

The id of the user who created this entity.

updatedOnstringOptional
format: date-time

The date this entity was last modified.

updatedBystringOptional
format: uuid

The id of the user who last modified this entity.

namestring or nullOptional

The name of the document.

currentDocumentVersionIdstring or nullOptional
format: uuid

The id of the current document version.

documentSpaceIdstring or nullOptional
format: uuid

The id of the document space.

documentSpaceobjectOptional
Show 13 properties
idstringOptional
format: uuid

The id of the entity.

createdOnstringOptional
format: date-time

The date this entity was created.

createdBystringOptional
format: uuid

The id of the user who created this entity.

updatedOnstringOptional
format: date-time

The date this entity was last modified.

updatedBystringOptional
format: uuid

The id of the user who last modified this entity.

namestring or nullOptional

The name of the document space.

isExternalbooleanOptional

Whether this document space is coming from an external workspace (awork Connect).

emojistring or nullOptional

The emoji of the document space.

colorstring or nullOptional

The color of the document space for display purposes in the app. Can be null when no color assigned.

ordernumber or nullOptional
format: double

The order of the document space in the list of document spaces.

workspaceAccessLevelstring or nullOptional

Determines the level of access to this document space granted to all workspace users. Can be either not set (no access), read, or manage.

contributorsarray of object or nullOptional

The contributors of this document space.

Show 7 properties
idstringOptional
format: uuid

The id of the contributor.

userIdstringOptional
format: uuid

The id of the user this contributor references.

accessLevelstring or nullOptional

Determines the level of access granted to this contributor with respect to the specific entity. Can be either set to read or manage.

firstNamestring or nullOptional

The first name of the user.

lastNamestring or nullOptional

The last name of the user.

hasImageboolean or nullOptional

Whether the user has an image.

isDeactivatedbooleanOptional

Whether the user is deactivated.

teamsarray of object or nullOptional

The teams this document space is connected to.

Show 6 properties
idstringOptional
format: uuid

The id of the entity to team.

teamIdstringOptional
format: uuid

The id of the team this entity to team references.

accessLevelstring or nullOptional

Determines the level of access granted to this entity to team with respect to the specific entity. Can be either set to read or manage.

namestring or nullOptional

The name of the team.

iconstring or nullOptional

The icon which is assigned to the team.

colorstring or nullOptional

The color of the team.

parentIdstring or nullOptional
format: uuid

The id of the document's parent document.

projectIdstring or nullOptional
format: uuid

The id of the project this document references.

projectobjectOptional
Show 7 properties
idstringOptional
format: uuid
namestring or nullOptional
createdBystringOptional
format: uuid
teamsarray of object or nullOptional
Show 2 properties
idstringOptional
format: uuid
namestring or nullOptional
membersarray of object or nullOptional
Show 3 properties
idstringOptional
format: uuid
projectRoleIdstringOptional
format: uuid
userIdstringOptional
format: uuid
isPrivatebooleanOptional
isExternalbooleanOptional
taskIdstring or nullOptional
format: uuid

The id of the task this document references.

emojistring or nullOptional

The emoji of the document.

isPrivatebooleanOptional

Whether the document is private.

ordernumber or nullOptional
format: double

The order of the document in either the list of private docs, the referenced document space or in the referenced project.

isExternalbooleanOptional

Whether the document belongs to an external project.

isHiddenForConnectUsersbooleanOptional

Whether the document is hidden for connect users.

contributorsarray of object or nullOptional

The contributors of this document.

Show 10 properties
idstringOptional
format: uuid

The id of the contributor.

userIdstringOptional
format: uuid

The id of the user this contributor references.

accessLevelstring or nullOptional

Determines the level of access granted to this contributor with respect to the specific entity. Can be either set to read or manage.

firstNamestring or nullOptional

The first name of the user.

lastNamestring or nullOptional

The last name of the user.

hasImageboolean or nullOptional

Whether the user has an image.

isDeactivatedbooleanOptional

Whether the user is deactivated.

documentIdstringOptional
format: uuid

The id of the referenced document.

inheritedFromDocumentContributorIdstring or nullOptional
format: uuid

The id of the contributor the permission has been inherited from.

inheritedDocumentContributorobjectOptional
Show 2 properties
documentIdstringOptional
format: uuid
accessLevelstring or nullOptional
teamsarray of object or nullOptional

The teams this document is connected to.

Show 9 properties
idstringOptional
format: uuid

The id of the entity to team.

teamIdstringOptional
format: uuid

The id of the team this entity to team references.

accessLevelstring or nullOptional

Determines the level of access granted to this entity to team with respect to the specific entity. Can be either set to read or manage.

namestring or nullOptional

The name of the team.

iconstring or nullOptional

The icon which is assigned to the team.

colorstring or nullOptional

The color of the team.

documentIdstringOptional
format: uuid

The id of the referenced document.

inheritedFromDocumentToTeamIdstring or nullOptional
format: uuid

The id of the document to team the permission has been inherited from.

inheritedDocumentToTeamobjectOptional
Show 2 properties
documentIdstringOptional
format: uuid
accessLevelstring or nullOptional
workspaceAccessLevelstring or nullOptional

Determines the level of access to this document granted to all workspace users. Can be either not set (no access), read, or manage.

inheritedWorkspaceAccessFromDocumentIdstring or nullOptional
format: uuid

The id of the document the workspace access level permission has been inherited from.

inheritedWorkspaceAccessFromDocumentobjectOptional
Show 1 properties
workspaceAccessLevelstring or nullOptional
movedToTrashOnstring or nullOptional
format: date-time

The date the document has been moved to the trash

movedToTrashBystring or nullOptional
format: uuid

The id of the user that moved the document to the trash.

rootDocumentCreatedBystringOptional
format: uuid

The user id of the creator of the root document of this document's document tree.

Search documentation